<script>
	import { fade } from 'svelte/transition';
	import { ArrowDownCircleIcon } from 'svelte-feather-icons';
	import { scrollY } from '../../utils/store';
</script>

<section
	class="relative flex items-center justify-center overflow-hidden h-[80vh] flex-none"
	style="background-image: url(https://images.unsplash.com/photo-1606739211185-2c846d734a6d?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=1170&q=80;); background-position: center center; background-size: cover;"
>
	<div class="w-full h-full absolute top-0 left-0" style="background-color: rgba(0, 0, 0, 0.7);" />
	<div
		class="relative flex flex-col justify-center items-center gap-4 container mx-auto px-6S py-12 px-4 md:py-16 xl:py-28 md:text-4xl text-8xl"
	>
		<div class="md:w-3/5 w-full flex flex-col gap-4 items-center text-center">
			<h2
				class="text-3xl md:text-5xl xl:leading-tight mb-4"
				style="color: rgb(255, 255, 255); font-family: var(--head-fontFamily); font-weight: var(--head-fontWeight);"
			>
				Des fournisseurs proche de vous !
			</h2>
			<p
				class="text-body md:text-body-lg text-xl md:text-2xl"
				style="color: rgb(255, 255, 255); scroll-behavior: smooth; font-family: var(--body-fontFamily); font-weight: var(--body-fontWeight);"
			>
				Chez Madame Pain, nous avons fait de notre mieux pour trouver des acteurs locaux
				bienveillants et soucieux de l’environnement. C’est donc sans peur que nous les partageons
				aujourd’hui avec vous car ils font partis de l’histoire de Madame Pain. L’histoire du pain
				vivant.
			</p>
		</div>
		{#if $scrollY < 50}
			<button
				class="absolute -bottom-5"
				transition:fade
				on:click={() => {
					window.scrollTo({ top: 500, behavior: 'smooth' });
				}}
			>
				<ArrowDownCircleIcon class="animate-bounce w-12 h-12 text-white" />
			</button>
		{/if}
	</div>
</section>
